Name:           perl-Text-Format
Version:        0.59
Release:        4%{?dist}
Summary:        Various subroutines to format text

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Text-Format/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/Text-Format-%{version}.tar.gz

BuildArch:      noarch 
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::CPAN::Changes)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::TrailingSpace)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
The format routine will format under all circumstances even if the width isn't
enough to contain the longest words. Text::Wrap will die under these
circumstances, although I am told this is fixed. If columns is set to a small
number and words are longer than that and the leading 'whitespace' than there
will be a single word on each line. This will let you make a simple word list
which could be indented or right aligned. There is a chance for croaking if you
try to subvert the module. If you don't pass in text then the internal text is
worked on, though not modified. Text::Format is meant for more powerful text
formatting than Text::Wrap allows.


%prep
%setup -q -n Text-Format-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.59-4
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 10 2014 Xavier Bachelot <xavier@bachelot.org> - 0.59-2
- Add LICENSE and README to %%doc.

* Mon Feb 10 2014 Xavier Bachelot <xavier@bachelot.org> - 0.59-1
- Update to 0.59.
- Add more BR: for better tests coverage.
- Modernize specfile.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.58-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Petr Pisar <ppisar@redhat.com> - 0.58-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Sep 05 2012 Xavier Bachelot <xavier@bachelot.org> - 0.58-1
- Update to 0.58.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.56-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Petr Pisar <ppisar@redhat.com> - 0.56-2
- Perl 5.16 rebuild

* Mon Jun 04 2012 Xavier Bachelot <xavier@bachelot.org> - 0.56-1
- Update to 0.56.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.53-2
- Perl mass rebuild

* Thu May 12 2011 Xavier Bachelot <xavier@bachelot.org> - 0.53-1
- Update to 0.53.

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.52-7
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.52-6
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.52-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.52-2
Rebuild for new perl

* Fri Feb 01 2008 Xavier Bachelot <xavier@bachelot.org> - 0.52-1
- Initial build.
